Bug 139483 - asm-x86_64/system.h should do include asm-x86_64/bitops.h
asm-x86_64/system.h should do include asm-x86_64/bitops.h
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-16 04:35 EST by Akira TAGOH
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-18 02:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-11-16 04:35:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
I just saw the error message which is related this:
In file included from /usr/include/asm/system.h:4,
                 from fbdpsp.c:831:
/usr/include/asm-x86_64/system.h: In function `__cmpxchg':
/usr/include/asm-x86_64/system.h:75: `LOCK_PREFIX' undeclared (first
use in this function)
/usr/include/asm-x86_64/system.h:75: (Each undeclared identifier is
reported only once
/usr/include/asm-x86_64/system.h:75: for each function it appears in.)
/usr/include/asm-x86_64/system.h:75: syntax error before string constant
/usr/include/asm-x86_64/system.h:81: syntax error before string constant
/usr/include/asm-x86_64/system.h:87: syntax error before string constant
/usr/include/asm-x86_64/system.h:93: syntax error before string constant
make: *** [fbdpsp.o] Error 1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.build something including asm/system.h

Actual Results:  failed to build

Expected Results:  it should be built completely

Additional info:

this problem doesn't happen on x86. also, it happens on FC.
Comment 1 David Woodhouse 2005-04-15 10:13:37 EDT
There's nothing in system.h which userland has any business with.

Why are you including this file at all?
Comment 2 Akira TAGOH 2005-04-15 12:33:44 EDT
jfbterm - a terminal program to show CJK characters on the framebuffer, has
#include <asm/system.h>.  and the build fails due to lacking of bitops.h.
Comment 3 David Woodhouse 2005-04-15 12:48:40 EDT
Why is it including this file? What happens if you remove the #include
Comment 4 Akira TAGOH 2005-04-18 02:24:30 EDT
Okay... it looks buildable even without it. Thanks.
Comment 5 David Woodhouse 2005-04-18 02:40:49 EDT
Note that the use of bitops.h is likely to be broken and racy. Some time in the
not-so-distant future we may well remove this file too. It's kernel-private
stuff, and doesn't work properly in userspace.
Comment 6 Akira TAGOH 2005-04-19 00:22:36 EDT
Sure. thanks again.

Note You need to log in before you can comment on or make changes to this bug.